/*
  block_dev.h
  -----------
  $Id: block_dev.h,v 1.1 2003/05/15 06:21:17 stewart Exp $
  
  Designed to be rather similar to the Linux Buffer Cache,
  i.e. with functions like bread() et al that function similarly.
  Should allow testing and development of filesystems purely in
  userspace and purely in an application.
  User Mode Linux could be used for this, but this suite is designed
  for even earlier in the design process.

  (C)2003 Stewart Smith
  Distributed under the GNU Public License.
 */

#ifndef __BLOCK_DEV_H__
#define __BLOCK_DEV_H__

#include "types.h"

int block_dev_new(struct block_device* b, const char* file, u64 block_size, u64 num_blocks);

struct block_device {
  int file_on_disk;
  u64 block_size;
  u64 num_blocks;
};

#endif
